<?php
// No direct access to this file
defined('_JEXEC') or die; 
jimport('joomla.application.component.modeladmin');


class MNBInventarioModelCampoBrick extends JModelForm
{

	public function getForm($data = array(), $loadData = true) 
  	{
    	
    	// Get the form.
    	$form = $this->loadForm('com_mnbinventario.campobrick', 'campobrick', array('control' => 'jform', 'load_data' => $loadData));
    	return $form;
  	}
 
	  protected function loadFormData() 
	  {
		  $app = JFactory::getApplication();
		  
		  // Prova a recuperare i dati dalla sessione
		  $data = $app->getUserState('com_mnbinventario.edit.campobrick.data', array());
	  
		  // Se non ci sono dati in sessione, prendi quelli dal database
		  if (empty($data)) {
			  $data = $this->getItem();
		  }
	  
		  return $data;
	  }
	  
  
 
  public function getTable($name = 'CampoBricks', $prefix = 'MNBInventarioTable', $options = array())
  {
    return parent::getTable($name, $prefix, $options);
  }
  

function getItem()
{
    $jinput = JFactory::getApplication()->input;
	$jform = $jinput->get('jform',NULL, NULL);

    $id_campo = $jinput->getInt('id');
      
    $db = JFactory::getDBO();
    $query = $db->getQuery(true);

    $query
        ->select(['a.*', 'b.titolo as titolo_modulo', 'b.id as id_modulo', 'c.titolo as titolo_inventario', 'c.id as id_inventario'])
        ->from('#__mnb_inventario_fields AS a')
        ->join('INNER', '#__mnb_inventario_modules AS b ON (a.id_modulo = b.id)')
        ->join('INNER', '#__mnb_inventari AS c ON (a.id_inventario = c.id)')
        ->where('a.id = ' . $db->quote($id_campo));

    $db->setQuery($query);

    $item = $db->loadObject();
    
    return $item;
}
	
	function getLastID()

	{
				
		$db = JFactory::getDBO();

		$query = $db->getQuery(true);

			$query
			->select('max(id)')
			->from(' #__mnb_inventario_fields');

			$db->setQuery($query);

			$result = $db->loadResult();

		return  $result;

	} 

	
	public function Salva()
	{
        
		$jinput = JFactory::getApplication()->input; 
    	
		$jform = $jinput->get('jform',NULL, NULL);
		
		$id_inventario = $jform['id_inventario'];
		$id_modulo = $jform['id_modulo'];
		$id = $jform['id'];
		$field_name = time();
		$id_redir = $id;
		$db	= $this->getDbo();
		$query	= $db->getQuery(true);
        $query->clear();


		if ($id > 0)
		{
			$query->update('  #__mnb_inventario_fields');
			$query->where(' id = ' .$db->Quote($id));							
			$old_item = $this->getItem();
			
			//modifica il nome del campo della  colonna
			
			//if ($old_item->field_name != $jform['field_name'])
		//	{
		//		$query_field='
		//		ALTER TABLE `#__mnb_inventario_'.$id_inventario.'` CHANGE `'.$old_item->field_name.'` `'.$jform['field_name'].'` 
		//		VARCHAR(1200) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL ';
    	//		$db->setQuery((string)$query_field);
    	//		$result = $db->execute();		
		//	}
			
			$send_query = true;
	
		}elseif($id == 0 ){	
			
			$field_name = "mnb_" . time();
			
			//Imposta parametri query tabella fields
			$query->insert(' #__mnb_inventario_fields');
			$query->set(' field_name = '.$db->Quote($field_name ));
			
			//Modifica tabella inventario
   			$query_field='ALTER TABLE `#__mnb_inventario_'.$id_inventario.'` ADD `'. $field_name .'` varchar(1200)';
    		$db->setQuery((string)$query_field);
    		$result = $db->execute();
    			
    		$send_query = true;
		}
		
		
		if ($send_query)
		{
			$query->set(' id_inventario = '.$db->Quote($jform['id_inventario']));
			$query->set(' id_modulo = '.$db->Quote($jform['id_modulo']));
			$query->set(' field_label = '.$db->Quote($jform['field_label']));
			$query->set(' field_size = '.$db->Quote($jform['field_size']));
			$query->set(' field_default_val = '.$db->Quote($jform['field_default_val']));
			$query->set(' field_required = '.$db->Quote((isset($jform['field_required'] ) ? $jform['field_required']  : 0)));
			$query->set(' field_filter = '.$db->Quote($jform['field_filter']));
			$query->set(' field_type = '.$db->Quote($jform['field_type']));
			$query->set(' field_description = '.$db->Quote($jform['field_description']));
			$query->set(' field_upload_path =' .$db->Quote( $jform['field_upload_path']));
			$query->set(' field_visible = '.$db->Quote( isset($jform['field_visible'] ) ? $jform['field_visible']  : 0));
			$query->set(' field_list_option = '.$db->Quote($jform['field_list_option']));
			$query->set(' field_order = '.$db->Quote($jform['field_order']));	
			$query->set(' published = '.$db->Quote(1));
		
			$db->setQuery((string)$query);	

			if (!$db->execute())
		 	{
				JError::raiseError(500, $db->getErrorMsg());
        		return false;
			}else{
				$id_redir = $this->getLastID() ;
			}
	
		}
		
		return $id_redir;
	
	}

    public function Delete()
    {
        // Ottieni l'oggetto DB
        $db = $this->getDbo();
        $query = $db->getQuery(true);
		$app = JFactory::getApplication();
		$cid = $app->input->get('cid', array(), 'array');

        // Crea la query per eliminare il record (o aggiornarlo se si tratta di una "soft delete")
        $query->delete($db->quoteName('#__mnb_inventario_fields')) // Cambia con il nome della tua tabella
              ->where('id IN (' . implode(',', array_map('intval', $cid)) . ')');

        // Imposta la query e la esegue
        $db->setQuery($query);

        if (!$db->execute()) {
            JError::raiseError(500, $db->getErrorMsg());
            return false;
        }
        return true;
    }
  
}
