<?php
// No direct access to this file
defined('_JEXEC') or die; 
jimport('joomla.application.component.modeladmin');


class MNBInventarioModelModuloBrick extends JModelAdmin
{
		
	public function getForm($data = array(), $loadData = true) 
	{
		// Carica il form base
   		$form = $this->loadForm('com_mnbinventario.modulobrick', 'modulobrick', array('control' => 'jform', 'load_data' => $loadData));

        if (empty($form)) {
            return false;
        }
        
        //****carica i campi configurati nel DB e popola il form *****
        
        $fields = $this->getCampi();        
        
        foreach($fields as $field){
        
        $element[$field->name] = new SimpleXMLElement('<field
        		id="'.$field->id.'"
        		name="'.$field->field_name.'"
               	type="'.$field->field_type.'"
               	label="'.$field->field_label.'"
               	description="'. $field->field_description . '"
               	class="'. $field->field_class . '"
               	size="'.$field->field_name.'"
               	required="'. $field->field_required . '"
               	default="' . $field->field_default_val . '"
        />');
        
        $form->setField($element[$field->name]);
        
        }
         
        //************************************************************
        
        //Restituisci il form completo
        return $form;
    
  }
	
	
	protected function loadFormData() 
  {
    // Check the session for previously entered form data.
    $data = JFactory::getApplication()->getUserState('com_mnbinventario.edit.modulobrick.data', array());
    if(empty($data)){
      $data = $this->getItem();
    }
    return $data;
  }
  
  public function getTable($name = 'ModuloBricks', $prefix = 'MNBInventarioTable', $options = array())
  {
    return parent::getTable($name, $prefix, $options);
  }
  		
  	
protected function getCampi()
  	{
  		$jinput = JFactory::getApplication()->input; 
    	
		$jform = $jinput->get('jform',NULL, NULL);
	
		$id_modulo = JRequest::getString('id');
		
		$db = JFactory::getDBO();

		$query = $db->getQuery(true);
		
		
		if ( $id_modulo !=  "" ){
		
		$query

		->select('*')
		->from('#__mnb_inventario_fields')
		->where('id_modulo ='. $db->Quote($id_modulo));

		// Filter by search

		$db->setQuery($query);

		$items = $db->loadObjectList();

		// passa valori se post pagina
		}
	
		return $items;
	
	}
	
  
}
