<?php

defined('_JEXEC') or die('Restricted Access');

JHtml::_('formbehavior.chosen', 'select');
$listOrder     = $this->escape($this->state->get('list.ordering'));
$listDirn      = $this->escape($this->state->get('list.direction'));
$sortFields 	= $this->getSortFields();
$saveOrder = $listOrder == 'ordering';

if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_contact&task=contacts.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'contactList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}
JFactory::getDocument()->addScriptDeclaration('
	Joomla.orderTable = function()
	{
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != "' . $listOrder . '")
		{
			dirn = "asc";
		}
		else
		{
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, "");
	};
');

?>


<form action="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=campobricks'); ?>" method="post" name="adminForm" id="adminForm">
		
		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search btn-group pull-left">
				<label for="filter_search" class="element-invisible"><?php echo JText::_('JSEARCH_FILTER');?></label>
				<input type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" class="hasTooltip" title="<?php echo JHtml::tooltipText('JSEARCH_FILTER'); ?>" />
			</div>
			<div class="btn-group pull-left">
				<button type="submit" class="btn hasTooltip" title="<?php echo JHtml::tooltipText('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
				<button type="button" class="btn hasTooltip" title="<?php echo JHtml::tooltipText('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.getElementById('filter_search').value='';this.form.submit();"><i class="icon-remove"></i></button>
			</div>
			<div class="btn-group pull-right hidden-phone">
				<label for="limit" class="element-invisible"><?php echo JText::_('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?></label>
				<?php echo $this->pagination->getLimitBox(); ?>
			</div>
			<div class="btn-group pull-right hidden-phone">
				<label for="directionTable" class="element-invisible"><?php echo JText::_('JFIELD_ORDERING_DESC');?></label>
				<select name="directionTable" id="directionTable" class="input-medium" onchange="Joomla.orderTable()">
					<option value=""><?php echo JText::_('JFIELD_ORDERING_DESC');?></option>
					<option value="asc" <?php if ($listDirn == 'asc') echo 'selected="selected"'; ?>><?php echo JText::_('JGLOBAL_ORDER_ASCENDING');?></option>
					<option value="desc" <?php if ($listDirn == 'desc') echo 'selected="selected"'; ?>><?php echo JText::_('JGLOBAL_ORDER_DESCENDING');?></option>
				</select>
			</div>
			<div class="btn-group pull-right">
				<label for="sortTable" class="element-invisible"><?php echo JText::_('JGLOBAL_SORT_BY');?></label>
				<select name="sortTable" id="sortTable" class="input-medium" onchange="Joomla.orderTable()">
					<option value=""><?php echo JText::_('JGLOBAL_SORT_BY');?></option>
					<?php echo JHtml::_('select.options', $sortFields, 'value', 'text', $listOrder);?>
				</select>
			</div>
		</div>
		
			
		
		<div class="clearfix"> </div>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>

		<table class="table table-striped">
			<thead>
				<tr>
					<th >
						<?=JHtml::_('grid.sort',  JText::_( 'COM_MNBINVENTARIO_ID_COLUMN_LAB'), 'id', $listDirn, $listOrder); ?>
					</th>
					<th >
						<input type="checkbox" onclick="Joomla.checkAll(this)" title="<?=JText::_( 'JGLOBAL_CHECK_ALL' )?>" value="" name="checkall-toggle">
					</th>
					<th>
						<?=JHtml::_('grid.sort', 'COM_MNBINVENTARIO_TITOLO_CAMPO_COLUMN_LAB', 'field_label', $listDirn, $listOrder); ?>
					</th >
					<th  >
						<?=JText::_('COM_MNBINVENTARIO_PUBLISHED_COLUMN_LAB'); ?>
					</th>
					<th >
						<?=JHtml::_('grid.sort', 'COM_MNBINVENTARIO_TITOLO_MODULO_COLUMN_LAB', 'titolo_modulo', $listDirn, $listOrder); ?>
					</th >
					<th >
						<?=JHtml::_('grid.sort', 'COM_MNBINVENTARIO_TITOLO_INVENTARIO_COLUMN_LAB', 'titolo_inventario', $listDirn, $listOrder); ?>
					</th >
				</tr>
			</thead>
<tbody>
			<?php foreach($this->items as $i => $item): ?>
  <tr class="row<?php echo $i % 2; ?>">
  <td><?php echo $item->id; ?></td>
  <td><?php echo JHtml::_('grid.id', $i, $item->id); ?></td> 
   <td> <?php echo $item->field_label; ?> </td>
 <td align="center">
	<?php echo JHtml::_('jgrid.published', $item->published, $i, 'campobricks.', true, 'cb'); ?>
  </td>
 
  <td><?php echo $item->titolo_modulo; ?></td>
  <td>  <?php echo $item->titolo_inventario; ?>  </td>
   </tr>
<?php endforeach; ?>

</tbody>
			
			<tfoot>
				<tr>
					<td colspan="7">
						<?=$this->pagination->getListFooter()?>
					</td>
				</tr>
			</tfoot>
	


		</table>
<?php endif; ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>