<?php
/*
 * @package		Joomla.Framework
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 *
 * @component Phoca Component
 * @copyright Copyright (C) Jan Pavelka www.phoca.cz
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License version 2 or later;
 */
defined('_JEXEC') or die;
jimport('joomla.application.component.view');
jimport('joomla.html.pane');
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

class MNBInventarioViewMNBHomes extends JViewLegacy
{

	
//	protected $tmpl;

	public function display($tpl = null) {
		
    // dati licenza
	$this->prodotto = $this->get('MNBAuthorization');
	$this->form		= $this->get('Form');
	$this->item		= $this->get('Item');
	$item =	$this->item	;
	$this->opzioni_layout	= json_decode($item['opzioni_layout']);
	

    $this->addToolBar();

	$document = JFactory::getDocument();
	$document->addStyleSheet(JURI::root().'/media/com_mnbinventario/css/stylesheet.css', 'text/css');
 	
    // Display the template
    parent::display($tpl);
  }
        
  protected function addToolBar() 
  {
	
	
	$state	= $this->get('State');
	
	JToolBarHelper::title( JText::_( 'COM_MNBINVENTARIO_DEFAULT_TITLE' ), 'mnbhomes' );
		
		}
  }   

?>
