<?php
defined('_JEXEC') or die();
 
jimport( 'joomla.application.component.modellist' );

JLoader::register('MNBInventarioHelper', JPATH_ROOT . '/components/com_mnbinventario/helpers/helper.php');


class MNBInventarioModelElenco extends JModelList
{
	public function __construct($config = array())
	{
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array('id', 'id_modulo');
		}
		
		parent::__construct($config);
	}
	
	function getListQuery()
    {
		
		$session = JFactory::getSession();
		$id_inventario = $session->get('inventario.id_inventario');
		
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
	
		$query
		->select('a.*')
		->from('#__mnb_inventario_'.$id_inventario . ' AS a ')
		//->join('INNER', '#__mnb_inventario_fields AS b ON (a.id = b.id)')
		->where('a.published = "1" '  . $query_tipo_in_elenco);

		$campi = $this->getCampi();
		
		$search = $this->getState('filter.search');
		
		$search_field = $this->getState('filter.search_field');
				
		$n = count($campi);
		
		if (!empty($search)) 
		{	
			foreach ($campi as $campo)
			{
				$i++;
					
				if (!empty($search_field) )
				{
					
					if ($campo["field_label"] == $search_field)
					{
						$condition = $condition . '('.$campo["field_name"]. ' LIKE "%' . $search .'%")' ;
					}
				}else{
					if ($i != $n)
					{
						$condition = $condition . '(' . $campo["field_name"] . ' LIKE "%' . $search . '%" ) OR ';
					}else{
						$condition= $condition . '('.$campo["field_name"] . ' LIKE "%' . $search .'%")' ;
					}
						
				}
				
			}	
		
			
			$search = $db->Quote('%'.$db->escape($search, true).'%');
			$query->where(
							$condition 
							);
		}
		
			$query->order($this->getState('list.ordering', 'id').' '.$this->getState('list.direction', 'ASC'));
		return $query;
    }
    
    function getCampi()
    {
		
		$session = JFactory::getSession();
		$id_inventario = $session->get('inventario.id_inventario');

		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		
		$query
		->select('a.*')
	   	->from('#__mnb_inventario_fields AS a ')

		->where('a.id_inventario = '  . $id_inventario)
		->where('a.published = "1" ')
		->order('field_order ASC');
		
		$db->setQuery($query);

		$items = $db->loadAssocList();

		return $items;

    }
		
    protected function populateState($ordering = null, $direction = null)
    {
        
		// Load authorized parameters
        $helper = new MNBInventarioHelper();
	
		$parametri_autorizzati =  $helper->getMNBAuthorization();
		
        $this->setState('list.limit_r_aut', $parametri_autorizzati->max_righe);
        $this->setState('list.limit_c_aut', $parametri_autorizzati->max_campi);
        
             
         // Load the filter state.
        $search = $this->getUserStateFromRequest($this->context.'.filter.search','filter_search');
        $this->setState('filter.search', $search);
        
        $search_field = $this->getUserStateFromRequest($this->context.'.filter.search_field','filter_search_field');
        $this->setState('filter.search_field', $search_field);
        
		// List state information.
        parent::populateState($ordering, $direction);
		
		$jinput = JFactory::getApplication()->input;
		
		$session = JFactory::getSession();
		$tipo_visualizzazione = $jinput->get('tipo_visualizzazione');
		$session->set('inventario.tipo_visualizzazione' , $tipo_visualizzazione != "" ? $tipo_visualizzazione : $session->get('inventario.tipo_visualizzazione'));
		$id_inventario = $jinput->get('id_inventario');
		$session->set('inventario.id_inventario' , $id_inventario != "" ? $id_inventario : $session->get('inventario.id_inventario'));
		
		// Load the parameters.
		$this->setState('params', JFactory::getApplication()->getParams());
    }
}
