<?php
// No direct access to this file
defined('_JEXEC') or die;

JHtml::_('behavior.formvalidator');

$jinput = JFactory::getApplication()->input;	
$option = $jinput->get('option');
$view = $jinput->get('view');


$session = JFactory::getSession();
$tipo_visualizzazione  = $session->get('inventario.tipo_visualizzazione');
$id_inventario = $session->get('inventario.id_inventario');
$id_modulo = $session->get('inventario.id_modulo');

$user   = JFactory::getUser();
$levels = JAccess::getAuthorisedViewLevels($user->id);

$lev_user = (int)$this->accesslevel;
$type_view = $jinput->get('type_view')== "" ? 0: $jinput->get('type_view');
$item = $this->item;

$helper = new MNBInventarioHelper();	
$opzioni_layout =  $helper->getOpzioniLayout();

$background = ($opzioni_layout->background_color_row == '' ? '' : ' background:'.$opzioni_layout->background_color_row .'; ');
$background_int = ($opzioni_layout->background_color_int == '' ? '' : ' background:'.$opzioni_layout->background_color_int .'; ');
$font_size = ($opzioni_layout->font_size == '' ? '' : ' font-size:'.$opzioni_layout->font_size .'; ');
$text_align = ($opzioni_layout->text_align == '' ? '' : ' text-align:'.$opzioni_layout->text_align .'; ');
$border = ($opzioni_layout->border == '' ? '' : 'border:'. $opzioni_layout->border.' '. $opzioni_layout->border_color.'; ');
$border_top_left_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-top-left-radius:'.$opzioni_layout->border_radius .'; ');
$border_top_right_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-top-right-radius:'.$opzioni_layout->border_radius .'; ');
$border_bottom_left_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-bottom-left-radius:'.$opzioni_layout->border_radius .'; ');
$border_bottom_right_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-bottom-right-radius:'.$opzioni_layout->border_radius .'; ');
$box_shadow = ($opzioni_layout->box_shadow == "0" ? '' : 'box-shadow: 1px 2px 6px 1px rgba(0,0,0,0.68); ');

?>



<script language="javascript">
	function myValidate(f) {  
    if (document.formvalidator.isValid(f)) {
        let task = document.getElementById('task').value;

        if (task === 'modulo.elimina') {
            // Creazione del box di conferma
            let modal = document.createElement("div");
            modal.innerHTML = `
                <div style="position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, 0.5); display: flex; align-items: center; justify-content: center;">
                    <div style="background: white; padding: 20px; border-radius: 10px; text-align: center; width: 300px;">
                        <p>Sei sicuro di voler eliminare questo record?</p>
                        <button id="confirm-delete" style=" border-radius: 5px; background: #a51f18; color: white; padding: 8px 16px; border: none; margin-right: 10px;">Sì</button>
                        <button id="cancel-delete" style="border-radius: 5px; background: gray; color: white; padding: 8px 16px; border: none;">No</button>
                    </div>
                </div>
            `;
            
            document.body.appendChild(modal);

            // Se l'utente conferma l'eliminazione, invia il form
            document.getElementById("confirm-delete").addEventListener("click", function () {
                document.body.removeChild(modal);
                f.submit(); // Invia il form
            });

            // Se l'utente annulla, chiude il box e annulla l'azione
            document.getElementById("cancel-delete").addEventListener("click", function () {
                document.body.removeChild(modal);
                document.getElementById('task').value = ''; // Resetta il valore del task per annullare
            });

            return false; // Blocca l'invio del form finché l'utente non conferma
        }

        return true;
    } else {
        document.getElementById('task').value = '';
        alert('I campi evidenziati non sono validi');
        return false;
    }
}

</script>

<form method="post" action="<?=$_SERVER["REQUEST_URI"]?>" class="form-validate" onSubmit="return myValidate(this);" id="mnbinventario-modulo" enctype="multipart/form-data">
<input type="hidden" id ="validatedform" value="submit" name="validatedform" />
<input type="hidden" name="option" value="<?=$option?>" />
<input type="hidden" id ="task" name="task" value="" />
<input type="hidden" name="view" value="<?=$view?>" />


<?php echo JHtml::_('form.token'); ?>	




<div style="margin: 6px; padding:5px; width:98%; <?php echo $font_size. $border. $box_shadow . $border_top_left_radius . $border_top_right_radius . $border_bottom_left_radius . $border_bottom_right_radius ;?> ">	
<table id="modulo">	
		
		<?php 	
				$row = count($this->form->getFieldset()  ) - 3;
				
				foreach ($this->form->getFieldset() as $field):
						
						
							
							if ($field->id == "jform_id_inventario"){
								$field->value= $id_inventario;
							}
							
							if ($field->id == "jform_id_modulo"){
								$field->value= $id_modulo;
							}
							
							if ($field->id == "jform_id"){
								$field->value= $item['id'];
							}
							
							$campo = str_replace(array('jform','[',']'),'',$field->name);
						
							if (strtolower($field->type) == "file"){
		
								$ext = explode(".",$item[$campo])[1];
							
								if ( $ext ==  'jpg' or $ext == 'jpeg' or $ext == 'png' or $ext == 'ico' or $ext == 'bmp') { 
    							
    							// JPG JPEG PNG ICO BMP		
    							
    								echo 	'<th colspan="2" width="600px" style="padding:10px;" >';
    						    	//Visualizza anteprima se è un immagine
 							       	echo '<a href="'.JURI::root().$item[$campo].'"><img src="'.JURI::root().$item[$campo].'" alt="Foto oggetto" style="padding:10px; max-height:480px; max-width:480px;"></a>';
   									echo 	'</th>';
   									echo '<th width="20%" rowspan="'.$row.'" style="padding:10px; min-width:100px;"><a href="'.JURI::root().$item[$campo].'" ><img src="'.JURI::root().'media/com_mnbinventario/images/icon/download.png" alt="Foto oggetto" style="margin-left: 15px;" width="54" height="54"></a>
   									</th>';
   									
    							}else if($ext ==  'pdf' or $ext ==  'doc' or $ext == 'docx' or $ext == 'xls' or $ext == 'xlsx'  or $ext == 'odt' ){ 
    							
    							// DOC DOCX ODT XLS XLSX 
    							
    							    //Visualizza anteprima
    							    echo 	'<th colspan="2" style="padding:10px;" >';
    							    JLoader::register('MNBInventarioHelper', JPATH_COMPONENT . '/helpers/helper.php');
								
									$helper = new MNBInventarioHelper();	
									$getOFC_Iframe =  $helper->getOFC_Iframe($item[$campo]);
								 	echo $getOFC_Iframe;
									
  									echo 	'</th>';
  									echo '<th width="20%" rowspan="'.$row.'" style="min-width:100px;" ><a href="'.JURI::root().$item[$campo].'" ><img src="'.JURI::root().'media/com_mnbinventario/images/icon/download.png" alt="Foto oggetto" style="margin-left: 15px;" width="54" height="54"></a></th>';
  								
								}elseif ($ext == 'zip'){ 
								
								//ZIP
								
  								    echo '<th colspan="3" style="padding:10px;" rowspan="'.$row.'"><a href="'.JURI::root().$item[$campo].'" ><img src="'.JURI::root().'media/com_mnbinventario/images/ext/'.$ext.'.png" alt="Foto oggetto" style="margin-left: 15px;" width="54" height="54" >'.$ext.'</a></th>';
								
								} else{
								
								//VARIE					
								
									if($ext){
									echo 	'<th colspan="2" style="padding:10px;" >';
									echo	'<img src="'.JURI::root().'media/com_mnbinventario/images/ext/'.$ext.'.png" alt="Foto oggetto" width="54" height="54">';
									echo 	'</th>';
									 echo '<th width="20%" rowspan="'.$row.'" style="min-width:100px;" ><a class="btn btn-primary" href="'.JURI::root().$item[$campo].'" ><img src="'.JURI::root().'media/com_mnbinventario/images/icon/download.png" alt="Foto oggetto"  style="margin-left: 15px;"  width="54" height="54"></a></th>';
								
									}
									
								
								}

								echo '</tr>';
							
								// Se il livello ed il tipo di visualizzazione lo permettono visualizza la modifica del file allegato	
								if (in_array($lev_user, $levels) AND ($type_view == 0)) {
									
									echo 	'<tr><th colspan="3" style="padding:10px;" >';
									echo	$field->input ;
									echo 	'</th></tr>';
								}
						
							}else{
							
							echo '<tr>
									<th width="40%"  style="padding:10px;" >' .  $field->label .'</th>' ;
								
								echo 	'<th width="60%" colspan="">';
					
								if ($type_view == 0 or $field->id == "jform_id_inventario" or $field->id == "jform_id_modulo" or $field->id == "jform_id" ){
									echo	$field->input ;
								}else{
								echo $item[$campo];
								}
								echo 	'</th>';
								echo '</tr>';
							}
						
				endforeach;
				
				?>
</table>

<br>
<?php 


if (in_array($lev_user, $levels)) { ?>
	<div id="cmd_bar" align ="right" style=" padding:5px ; <?php echo $background_int . $border_top_right_radius .$border_top_left_radius .$border_bottom_left_radius . $border_bottom_right_radius ;?>">
	<?php
		if ($type_view == 0){ ?>
					<button type="submit" class="btn btn-primary"
							onclick="document.getElementById('task').value='modulo.annulla' ;
							this.form.submit();
							"><?php echo JText::_('COM_MNBINVENTARIO_ANNULLA_BUTTON_LAB'); ?></button>
			 
					<button type="submit" class="btn btn-primary"
							onclick="document.getElementById('task').value='modulo.elimina' ;
							this.form.myValidate(this);"><?php echo JText::_('COM_MNBINVENTARIO_ELIMINA_BUTTON_LAB'); ?></button>
		
					<button type="submit" class="btn btn-primary"
							onclick="document.getElementById('task').value='modulo.salva' ;
							this.form.myValidate(this);"><?php echo JText::_('COM_MNBINVENTARIO_SALVA_BUTTON_LAB'); ?></button>
	
	
	<?php /* <button type="submit" class="btn btn-primary"
							onclick="document.getElementById('task').value='modulo.search' ;
							this.form.submit();
							"><?php echo JText::_('search'); ?></button>
	 */ ?>
	
	<?php }else{ ?>
						
					<button type="submit" class="btn btn-primary"
							onclick="document.getElementById('task').value='modulo.modifica' ;
							this.form.myValidate(this);"><?php echo JText::_('COM_MNBINVENTARIO_MODIFICA_BUTTON_LAB'); ?></button>
		
					<button type="submit" class="btn btn-primary"
							onclick="document.getElementById('task').value='modulo.annulla' ;
							this.form.myValidate(this);"><?php echo JText::_('COM_MNBINVENTARIO_INDIETRO_BUTTON_LAB'); ?></button>

	<?php	} ?>

	</div>
<?php } ?>
</div>

</form>