<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

/**
 * General Controller of HelloWorld component
 *
 * @package     Joomla.Administrator
 * @subpackage  com_helloworld
 * @since       0.0.7
 */
class MNBInventarioControllerMNBHomes extends JControllerLegacy
{
	/**
	 * The default view for the display method.
	 *
	 * @var string
	 * @since 12.2
	 */
	protected $default_view = 'mnbhomes';
	
	public function getModel($name = 'mnbhomes', $prefix = 'MNBInventarioModel', $config = array())
	{
		return parent::getModel($name, $prefix, $config);
	}
	
	public function aggiorna()
	{
        // Check for request forgeries.
		if (!Factory::getApplication()->checkToken()) {
    		jexit(Text::_('JINVALID_TOKEN'));
		}
 
        // Initialise variables.
        $app    = JFactory::getApplication();
        $model  = $this->getModel();
	            	
		$aggiorna        = $model->Attiva();
	 
		if ($aggiorna) {
           $this->setRedirect(JURI::root() . JRoute::_('administrator/index.php?option=com_mnbinventario&view=mnbhomes&response=1'));
        } else {
			$this->setRedirect(JURI::root() .JRoute::_('administrator/index.php?option=com_mnbinventario&view=mnbhomes&response=0'));
        }
        		
		return true;

	}
	
	public function salva()
	{
		// Check for request forgeries.
		if (!Factory::getApplication()->checkToken()) {
    		jexit(Text::_('JINVALID_TOKEN'));
		}
 
        // Initialise variables.
        $app    = JFactory::getApplication();
        $model  = $this->getModel();
	         	
		$response = $model->Salva();
	 
		if ($response) {
           $this->setRedirect(JURI::root() . JRoute::_('administrator/index.php?option=com_mnbinventario&view=mnbhomes&tab=options&response=2'));
        } else {
			$this->setRedirect(JURI::root() . JRoute::_('administrator/index.php?option=com_mnbinventario&view=mnbhomes&tab=home'));
        }
        		
		return true;

	}
	
	
}
