<?php

class MNBInventarioHelper
{

public function getMNBDirectAccess()
	{
		
		//Questa routine controlla se il sito consente l'accesso da remoto alle risorse del sito
		
     	$curlSES=curl_init(); 

		$url = 'https://www.mynetbrick.com/api/utility/echo_url_direct_access.php?scr='.JURI::root().'media/com_mnbinventario/images/MNB-Inventario.png';
		
		curl_setopt($curlSES,CURLOPT_URL, $url);
		
		curl_setopt($curlSES,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($curlSES,CURLOPT_HEADER, false); 
	
		$result= curl_exec($curlSES);
		$echo_result = json_decode($result, false);
		
		curl_close($curlSES);
		
		return $echo_result;
			
	}
        
public function getMNBAuthorization()
    {
     	$nomefile= JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/file.txt'; // determino il file di testo che contiene la lista dei titoli
		$apro=fopen($nomefile,"r"); // lo apro in sola lettura
		$lista=fread($apro,filesize($nomefile)); // lo leggo
		fclose($apro); // lo chiudo

		$parametri_locale_registrazione = json_decode($lista);

			
	
		if ($parametri_locale_registrazione->accesso_diretto == "NULL"){
			
			$result = $parametri_locale_registrazione;
			
		}else{
		
		$curlSES=curl_init(); 
	
		curl_setopt($curlSES,CURLOPT_URL,"https://www.mynetbrick.com/api/authorization/authorization_request.php?id_cliente=".$parametri_locale_registrazione->id_cliente."&key=e9mrtea23tg");
		curl_setopt($curlSES,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($curlSES,CURLOPT_HEADER, false); 
	
		$result = json_decode(curl_exec($curlSES), false);
	

		curl_close($curlSES);
		
		}

		return $result;
   	
    }   
    

public function getCallAPI_da_eliminare( $customer_data , $url){

$data = $customer_data;
 
$payload = json_encode($data);
 
// Prepare new cURL resource
$ch = curl_init('https://www.mynetbrick.com/api/authorization/create.php');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLINFO_HEADER_OUT, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
 
// Set HTTP Header for POST request 
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json',
    'Content-Length: ' . strlen($payload))
);
 
// Submit the POST request
$result = curl_exec($ch);
 
// Close cURL session handle
curl_close($ch);

return $result;
}

public function getMNBActive($codice) 
    {
    	$nomefile= JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/file.txt'; // determino il file di testo che contiene la lista dei titoli
		$apro=fopen($nomefile,"r"); // lo apro in sola lettura
		$lista=fread($apro,filesize($nomefile)); // lo leggo
		fclose($apro); // lo chiudo

		$parametri_locale_registrazione = json_decode($lista);
	
		if ($parametri_locale_registrazione->ip === null){
			
			$result = $parametri_locale_registrazione;
			
		}else{
		
			$curlSES=curl_init(); 
			curl_setopt($curlSES,CURLOPT_URL,"https://www.mynetbrick.com/api/authorization/authorization_request.php?id_cliente=".$parametri_locale_registrazione->id_cliente."&key=e9mrtea23tg");
			curl_setopt($curlSES,CURLOPT_RETURNTRANSFER,true);
			curl_setopt($curlSES,CURLOPT_HEADER, false); 
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 60); 
			curl_setopt($ch, CURLOPT_TIMEOUT, 60); //timeout 
		
			$result = json_decode(curl_exec($curlSES), false);
		
			curl_close($curlSES);
		
		}
		
	
		
		/////
		//Estrai codice di attivazione locale
		$carattere1=0; $carattere2=2; $carattere3=4; $carattere4=6; $carattere_chk=12;
		
		$arr_v = str_split($result->id_cliente);
		
		$v1 = $arr_v[$carattere1];
		$v2 = $arr_v[$carattere2];
		$v3 = $arr_v[$carattere3];
		$v4 = $arr_v[$carattere4];
		$v_chk = (int)$v1 +(int)$v2 +(int)$v3 + (int)$v4; 

		$local_key= $v1."-".$v2."-".$v3."-".$v4."+".$v_chk;
		
		/////
		
		//definisco i caratteri nel codice di attivazione
		$carattere_a1=11; $carattere_a2=13; $carattere_a3=15; $carattere_a4=17; $carattere_a_chk=21 ;
		//genero un codice casuale
		$arr_act = $codice;
		//sostituisco i caratteri del seriale nel codice di attivazione
		$v1_sn = $arr_act[$carattere_a1];
		$v2_sn = $arr_act[$carattere_a2] ;
		$v3_sn = $arr_act[$carattere_a3];
		$v4_sn = $arr_act[$carattere_a4];	
				
		$chk_len=(int)strlen(substr($local_key,8));
		
		if ($chk_len == 1 ){
		$v_a_chk = $arr_act[$carattere_a_chk];
			
		}else{
		$v_a_chk = $arr_act[$carattere_a_chk].$arr_act[$carattere_a_chk+1];
		}
		
		$remote_key=$v1_sn.'-'.$v2_sn.'-'.$v3_sn.'-'.$v4_sn.'+'.$v_a_chk;
		
		
		if ($remote_key === $local_key){
		
		$array = array('id_cliente' => $result->id_cliente, 'ip' => null, 'stato' => 1, 'accesso_diretto' => null, 'max_righe' => 21, 'max_campi' => 30 );
		$response =true;
		}else{
		$array = array('id_cliente' => $result->id_cliente, 'ip' => $result->ip, 'stato' => 0, 'accesso_diretto' => $result->accesso_diretto, 'max_righe' => $result->max_righe, 'max_campi' => $result->max_campi );
		$response =false;
		}
		
		
		/////
	
		$riga = json_encode($array);
	
		// file parametri, se non esiste verrà creato da php
		$file = JPATH_ROOT . "/administrator/components/com_mnbinventario/helpers/file.txt";
		// apriamo il file in scrittura, 
		// il parametro 'a' indica che deve aggiungere il testo a quello esistente
		// per sovrascrivere il contenuto si usa 'w'        
		$fr = fopen($file, 'w');
		// inseriamo la riga
		fwrite($fr, $riga);
		// chiudiamo il file
		fclose($fr);
            
            
		

		return $response;
   	
       
    }

}



?>


