<?php
defined('_JEXEC') or die();

jimport( 'joomla.application.component.modellist' );
JLoader::register('MNBInventarioHelper', JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/helper.php');


class MNBInventarioModelCampoBricks extends JModelList
{

	public function __construct($config = array())
		{
			if (empty($config['filter_fields']))
				{
					$config['filter_fields'] = array(
					'id',
					'titolo_inventario',
					'titolo_modulo',
					'field_label'
					);
		}
	
		parent::__construct($config);
	}
	
	
    function getListQuery()
    {
    
	$db = JFactory::getDBO();
	$query = $db->getQuery(true);
	
	$query
	->select(array('a.*', 'b.titolo as titolo_modulo','b.id as id_modulo', 'c.titolo as titolo_inventario','c.id as id_inventario'))
    ->from('#__mnb_inventario_fields AS a')
    ->join('INNER', '#__mnb_inventario_modules AS b ON (a.id_modulo = b.id)')
    ->join('INNER', '#__mnb_inventari AS c ON (a.id_inventario = c.id)');
	
	// Filter by search
	$search = $this->getState('filter.search');
       if (!empty($search)) {
           $search = $db->Quote('%'.$db->escape($search, true).'%');
           $query->where('((a.field_label LIKE '.$search.')
						OR (titolo_modulo LIKE '.$search.')
						OR (titolo_inventario LIKE '.$search.'))');
        }
    	
        $query->order($this->getState('list.ordering', 'id').' '.$this->getState('list.direction', 'ASC'));
	   
   return  $query;
    }
    
    protected function populateState($ordering = null, $direction = null)
    {
        // Load the filter state.
        $search = $this->getUserStateFromRequest($this->context.'.filter.search','filter_search');
        $this->setState('filter.search', $search);

        // List state information.
        parent::populateState($ordering, $direction);
    }
}

