<?php
// No direct access to this file
defined('_JEXEC') or die; 
jimport('joomla.application.component.modeladmin');

class MNBInventarioModelInventarioBrick extends JModelForm
{


	public function getForm($data = array(), $loadData = true) 
  	{
    	// Get the form.
    	
    	$form = $this->loadForm('com_mnbinventario.inventariobrick', 'inventariobrick', array('control' => 'jform', 'load_data' => $loadData));
    	
    	return $form;
  	}
 
	protected function loadFormData() 
  	{
    	// Check the session for previously entered form data.
    	$data = JFactory::getApplication()->getUserState('com_mnbinventario.edit.inventariobrick.data',array());
    	if(empty($data))
		{
			$data = $this->getItem();
    	}
    	return $data;
  	}
  
  	function getItem()

	{
		
		$id = JRequest::getInt('id');
		  	
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
	
		$query
		->select('a.*')
    	->from('#__mnb_inventari AS a')
    	->where('a.id ='.$id);
	
	$db->setQuery($query);

	$item = $db->loadObject();
	
	return $item;
	} 
	
 
  	public function getTable($name = 'InventariBricks', $prefix = 'MNBInventarioTable', $options = array())
  	{
		return parent::getTable($name, $prefix, $options);
  	}
 
  	public function save()
	{
      
		$data= JRequest::get('post');
		
		$id = $data ['jform'] ["id"];
		
		if 	($id == 0 )
		{
			$db		= $this->getDbo();
			$query	= $db->getQuery(true);
        	$query->clear();
		
		
			$query->insert(' #__mnb_inventari');
		
			$query->set(' data_inizio = ' .$db->Quote( $data ['jform'] ["data_inizio"]));
			$query->set(' data_fine = ' .$db->Quote( $data ['jform'] ["data_fine"]));
			$query->set(' titolo = '.$db->Quote($data ['jform'] ['titolo']));
			$query->set(' note = '.$db->Quote($data ['jform'] ['note']));
			$query->set(' published = '.$db->Quote(1) );
			
			$db->setQuery((string)$query);	
	
			if (!$db->query()) 
			{

				JError::raiseError(500, $db->getErrorMsg());
        		return false;
			}else{
			
			
				$query->clear();
				$query	
						->select('id')
						->from('#__mnb_inventari')
						->order('id DESC');
				
				$db->setQuery($query);
			
				$id_inventario = $db->loadResult();
		
				$query->clear();
				$db = JFactory::getDBO();
			
				$query = '	CREATE TABLE IF NOT EXISTS `#__mnb_inventario_'.$id_inventario.'` (
							`id` int(11) NOT NULL AUTO_INCREMENT,
							`id_inventario` int(5) NOT NULL,
							`id_modulo` int(5) NOT NULL,
  							`t_stmp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  							`published` tinyint(1) UNSIGNED NOT NULL DEFAULT "0",
  							PRIMARY KEY (`id`)
							) ENGINE=InnoDB DEFAULT CHARSET=latin1 ;
							';
							



				$db->setQuery($query);
				$result = $db->query();
				$db->query();
		
				if (!$db->query()) 
				{
					JError::raiseError(500, $db->getErrorMsg());
        			return false;
    			} else{
    			
    				//Crea un modilo di default associato all'inventario
    				$db		= $this->getDbo();
					$query	= $db->getQuery(true);
    				$query->clear();
	
    				$query->insert(' #__mnb_inventario_modules');
					$query->set(' id_inventario = '.$db->Quote($id_inventario ));
					$query->set(' titolo = '.$db->Quote('Modulo default ' . $data ['jform'] ['titolo']));
					$query->set(' published = "1" ');
					$query->set(' access = "1" ');
					
					$db->setQuery($query);
					
					if (!$db->query()) 
					{
						JError::raiseError(500, $db->getErrorMsg());
        				return false;
    				}else{
    				
    				$id_modulo = $this->getLastModuloID();
    					$db		= $this->getDbo();
						$query	= $db->getQuery(true);
        				$query->clear();
	
						$query->insert(' #__mnb_inventario_fields');
						$db->setQuery((string)$query);	
    				
    					$query = 'INSERT INTO `#__mnb_inventario_fields` (`id`, `id_inventario`, `id_modulo`, `mnb_tmstmp`, `published`, `field_name`, `field_size`, `field_label`, `field_description`, `field_default_val`, `field_required`, `field_type`, `field_visible`, `field_list_option`, `field_upload_path`, `field_order`) VALUES
								(NULL, "'. $id_inventario .'", "'. $id_modulo .'", "", "1", "mnb_'.time().'", "", "Titolo", "Inserisci il titolo o la descrizione", "", "1", "text", "1", "", "", "1"),
								(NULL, "'. $id_inventario .'", "'. $id_modulo .'", "", "1", "mnb_'.time().'", "", "Categoria", "Seleziona il valore dalla lista", "", "0", "list", "1", "A1;A2;B1;C1;D1", "", "2"),
								(NULL, "'. $id_inventario .'", "'. $id_modulo .'", "", "1", "mnb_'.time().'", "", "Allegato", "Inserisci un allegato", "", "0", "file", "1", "", "allegati", "");';

    					$db->setQuery($query);
							
						if (!$db->query()) 
						{
							JError::raiseError(500, $db->getErrorMsg());
        					return false;
    					} 
    				}
				
    			}
    		
    		}
    		
		
		}else{
		
		
		
			$db		= $this->getDbo();
			$query	= $db->getQuery(true);
        	$query->clear();
		
		
			$query->update(' #__mnb_inventari')
					->where('id = ' .$db->Quote($data ['jform'] ['id']));
		
			$query->set(' data_inizio = ' .$db->Quote( $data ['jform'] ["data_inizio"]));
			$query->set(' data_fine = ' .$db->Quote( $data ['jform'] ["data_fine"]));
			$query->set(' titolo = '.$db->Quote($data ['jform'] ['titolo']));
			$query->set(' note = '.$db->Quote($data ['jform'] ['note']));
			$query->set(' published = '.$db->Quote(1) );
			
			$db->setQuery((string)$query);	

			if (!$db->query()) 
			{
				JError::raiseError(500, $db->getErrorMsg());
        		return false;
			}else{
				
			
			}
		
		}
		
		return true;
		
	}

	public function delete()
	{
        
      
        
		$data= JRequest::get('post');
		$n_id = count($data['cid']);
		$cid= $data['cid'];
		
		
		
		
		if 	($cid > 0 )
		{
			foreach($cid as $key=>$id)
			{
			
				
				$db		= $this->getDbo();
				$query	= $db->getQuery(true);
				$query->clear();
				
				$query_table = 'DROP TABLE #__mnb_inventario_'.$id ;
				$db->setQuery((string)$query_table);	
				
				if (!$db->query()) 
				{
					JError::raiseError(500, $db->getErrorMsg());
        			return false;
				}else{
					$query->clear();
        			$query->delete($db->quoteName('#__mnb_inventario_fields'));
					$query->where('id_inventario = ' .$db->Quote($id));
					$db->setQuery($query);
					if (!$db->query()) 
					{
						JError::raiseError(500, $db->getErrorMsg());
        				return false;
					}else{
						$query->clear();
						$query->delete($db->quoteName('#__mnb_inventario_modules'));
						$query->where('id_inventario = ' .$db->Quote($id));
						$db->setQuery($query);
						if (!$db->query()) 
						{
							JError::raiseError(500, $db->getErrorMsg());
        					return false;
						}else{
							$query->clear();
        					$query->delete($db->quoteName('#__mnb_inventari'));
							$query->where('id = ' .$db->Quote($id));
							$db->setQuery($query);
							if (!$db->query()) 
							{
								JError::raiseError(500, $db->getErrorMsg());
        						return false;
							}
					
						}
					
					}
				}
			}
		}		
		
		return true;
		
	}
	
	function getLastModuloID()

	{
				
		$db = JFactory::getDBO();

		$query = $db->getQuery(true);
		$query->clear();
			$query
			->select('max(id)')
			->from(' #__mnb_inventario_modules');

			$db->setQuery($query);

			$result = $db->loadResult();

		return  $result;

	} 

}
