<?php
defined('_JEXEC') or die();

jimport( 'joomla.application.component.modellist' );
JLoader::register('MNBInventarioHelper', JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/helper.php');
 
class MNBInventarioModelInventarioBricks extends JModelList
{

	public function __construct($config = array())
		{
			if (empty($config['filter_fields']))
				{
					$config['filter_fields'] = array(
					'id',
					'titolo',
					'data_inizio',
					'data_fine'
					);
		}
	
		parent::__construct($config);
	}
	
	
    function getListQuery()
    {
    
	$db = JFactory::getDBO();
	$query = $db->getQuery(true);
	
	$query
	->select('a.*')
    ->from('#__mnb_inventari AS a');
	
	// Filter by search
	$search = $this->getState('filter.search');
       if (!empty($search)) {
           $search = $db->Quote('%'.$db->escape($search, true).'%');
           $query->where('((a.titolo LIKE '.$search.')
						OR (a.data_inizio LIKE '.$search.')
						OR (a.data_fine LIKE '.$search.'))');
        }
    	
        $query->order($this->getState('list.ordering', 'id').' '.$this->getState('list.direction', 'ASC'));
	   
   return  $query;
    }
    
    
    public function delete()
	{
        
        
        
		$data= JRequest::get('post');
		
		$id = $data ['jform'] ["id"];
		
		die('die - - ');
		
/*
		if 	($id != 0 )
		{
	
			$db		= $this->getDbo();
			$query	= $db->getQuery(true);
        	$query->clear();
		
		
			$query->delete($db->quoteName('#__mnb_inventari'));
			$query->where('id = ' .$db->Quote($data ['jform'] ['id']));

			$db->setQuery($query);
		

			if (!$db->query()) 
			{
				JError::raiseError(500, $db->getErrorMsg());
        		return false;
			}
		
		}
	*/
		
		return true;
		
	}
    
    
    protected function populateState($ordering = null, $direction = null)
    {
        // Load the filter state.
        $search = $this->getUserStateFromRequest($this->context.'.filter.search','filter_search');
        $this->setState('filter.search', $search);

        // List state information.
        parent::populateState($ordering, $direction);
    }
}

