<?php
defined('_JEXEC') or die();
 
jimport( 'joomla.application.component.modellist' );
JLoader::register('MNBInventarioHelper', JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/helper.php');


class MNBInventarioModelModuloBricks extends JModelList
{
	
	public function __construct($config = array())
		{
			if (empty($config['filter_fields']))
				{
					$config['filter_fields'] = array(
					'id',
					'titolo_inventario',
					'titolo',
					'note'
					);
		}
	
		parent::__construct($config);
	}	

	
	 function getListQuery()
    {
    
	$db = JFactory::getDBO();
	$query = $db->getQuery(true);
	
	$query
	->select(array('a.*', 'b.titolo as titolo_inventario','b.id as id_inventario'))
    ->from('#__mnb_inventario_modules AS a')
    ->join('INNER', '#__mnb_inventari AS b ON (a.id_inventario = b.id)');
	
    	
    $query->order($this->getState('list.ordering', 'id').' '.$this->getState('list.direction', 'ASC'));
	   
   return  $query;
    }
	
    
   
}
