<?php
// No direct access to this file
defined('_JEXEC') or die; 

class MNBInventarioViewInventarioBrick extends JViewLegacy
{

protected $form;
protected $item;
protected $state;
protected $tmpl;

  	public function display($tpl = null) 
  	{
    

		$this->form		= $this->get('Form');
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');
 
   		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode('<br />', $errors));

			return false;
		}

		// Set the toolbar
		$this->addToolBar();

		// Display the template
		parent::display($tpl);

		// Set the document
		$this->setDocument();
	}
 
  	protected function addToolBar() 
  	{
	
		$isNew = ($this->item->id == 0);
		JToolBarHelper::title($isNew ? JText::_('COM_MNBINVENTARIO_TITOLO_NUOVO_INVENTARIO')
		                           : JText::_('COM_MNBINVENTARIO_TITOLO_MODIFICA_INVENTARIO'), 'generic');
		
		$input = JFactory::getApplication()->input;

		// Hide Joomla Administrator Main menu
		$input->set('hidemainmenu', true);
	
				JToolBarHelper::save('inventariobrick.save', 'JTOOLBAR_APPLY');				
				JToolBarHelper::cancel('inventariobrick.cancel', 'JTOOLBAR_CANCEL');

	}
	
	protected function setDocument() 
	{
		$isNew = ($this->item->id == 0);
		$document = JFactory::getDocument();
		$document->setTitle($isNew ? JText::_('COM_MNBINVENTARIO_TITOLO_NUOVO_INVENTARIO')
		                           : JText::_('COM_MNBINVENTARIO_TITOLO_MODIFICA_INVENTARIO'));

		JText::script('COM_MNBINVENTARIO_ERROR_UNACCEPTABLE');
	}
	
	
	
}
