<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_joomlaupdate
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

/** @var JoomlaupdateViewDefault $this */
?>


	<legend>
		<?php echo JText::_('COM_MNBINVENTARIO_GUIDA_PRODOTTO_TAB_TITLE'); ?>
	</legend>
<p style="text-align: left;">All'installazione <strong>MNB Inventario</strong> crea un inventario di default contenente un modulo e tre campi	</p>
	<ul style="text-align: left;" >
		<li>
			<p>L'inventario denominato  <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=inventariobricks'); ?>"> <strong> "My Net Brick" </strong></a></p>
		<li>
			<p>Il modulo è denominato  <strong> <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=modulobricks'); ?>">"Modulo default"</a></strong> che contiene tre campi </p>
		</li>
		<li>
			<p>
				I tre <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=campobricks'); ?>"> <strong> "campi" </strong></a> sono denominati <a href="#campo_titolo">Titolo</a> , <a href="#campo_categoria" >Categorie</a>, <a href="#campo_allegato" >Allegato</a>;
			</p>
		</li>
		
	
		<li><p>Inventario denominato  <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=inventariobricks'); ?>"> <strong> "My Net Brick" </strong></a></p>
			<?php echo JHtml::_('image', JURI::root() . 'media/com_mnbinventario/images/dettaglio_inventario.png',  'MyNetBrick.com' ,' class="cp-img" '); ?>
		</li>
		
		<li><p>Un modulo denominato  <strong> <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=modulobricks'); ?>">"Modulo default"</a></strong> che contiene tre campi </p>
				<?php echo JHtml::_('image', JURI::root() . 'media/com_mnbinventario/images/dettaglio_modulo.png',  'MyNetBrick.com' ,' class="cp-img" '); ?>
		</li>
			
			<table>
				<tr>
					<th>
						<li>
						<a name="campo_titolo" ></a>
							Un campo di testo denominato  <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=campobricks'); ?>"> <strong> "Titolo" </strong></a>
						
						</li>
						<?php echo JHtml::_('image', JURI::root() . 'media/com_mnbinventario/images/dettaglio_campo_testuale.png',  'MyNetBrick.com' ,' class="cp-img" '); ?>
					</th>
					<th>
						
								</br>
								</br>
								</br>
								<li>
								<font style="color: orange;">"Etichetta" </font>indica la denominazione del campo che verrà riportata anche come etichetta della colonna nell'elenco;
								</li>
								</br>
								<li>
									<font style="color: orange;">"Ordine"</font> indica la posizione di visualizzazione della colonna del campo nell'elenco;
								</li>
								</br>
								<li>
									<font style="color: orange;">"Tipo di Campo"</font> definisce la tipologia di campo è possibile scegliere tra testo,list,allegato rispettivamente un campo di testo un campo con elenco a cascata o un campo che consenta di allegare in file o un immagine
								</li>
								</br>
								<li>
									Alla voce <font style="color: orange;">"Tool Tip"</font> é possibile scegliere le indicazioni guida che compariranno al passaggio del mouse sul campo;
								</li>
								</br>
								<li>
																	<font style="color: orange;">"Obligatorio"</font> definisce se l'inserimento di un valore nel campo è obbligatorio o facoltativo - imposta la proprietà "requiered";
								</li>
								</br>
								</br>
								<li>
									<font style="color: orange;">"Visibile"</font>Definisce se visualizzare o meno il campo nell'elenco;
								</li>				
							</th>
				</tr>
				<tr>
					<th>
						<li>
							<p>
								<a name="campo_categoria"></a>
								Un elenco a cascata denominato <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=campobricks'); ?>"> <strong> "Categoria" </strong></a> con dei valori d'esempio (A1;A2;B1;C1;D1) che verranno visualizzati nel modulo front-end.
							</p>
							<p>
								I valori d'esempio preimpostati possono essere cambiati nel dettagio del <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=campobricks'); ?>">campo</a> e devono essere separati dal ";" come mostrato in figura
							</p>
						</li>
					</th>
					<th>
					<?php echo JHtml::_('image', JURI::root() . 'media/com_mnbinventario/images/opzioni_list.png',  'MyNetBrick.com' ,' class="cp-img" '); ?>
					
					</th>
					
				</tr>
				<tr>
					<th>
						<li>
							<a name="campo_allegato"></a>
							Un campo per un allegato denominato  <a href="<?php echo JRoute::_('index.php?option=com_mnbinventario&view=campobricks'); ?>"> <strong> "Allegato" </strong></a> con il quale è possibile collegare al record una foto o un file
						</li>
					</th>
					<th>
					
					</th>
				</tr>
				<tr>
					<th style="text-align: right;">
						<h2><strong>MNB</strong> Inventario</h2>
					</th>
					<th>
					 <?php echo JHtml::_('image', JURI::root() . 'media/com_mnbinventario/images/MNB-Inventario.png',  'MyNetBrick.com', 'class="cp-logo"') ; ?>
					</th>
				</tr>
					</table>
				
		
	
	
	</ul>
