<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
jimport( 'joomla.application.component.view' );
jimport( 'joomla.html.pagination' );
	
class MNBInventarioViewModuloBricks extends JViewLegacy
{
protected $tmpl;

	function display($tpl = null)
	{
    		// Get application
		$app = JFactory::getApplication();
		$context = "mnbinventario.list.admin.inventariobrick";
		// Get data from the model
		$this->items			= $this->get('Items');
		$this->pagination		= $this->get('Pagination');
		$this->state			= $this->get('State');
		$this->filter_order 	= $app->getUserStateFromRequest($context.'filter_order', 'filter_order', 'id', 'cmd');
		$this->filter_order_Dir = $app->getUserStateFromRequest($context.'filter_order_Dir', 'filter_order_Dir', 'asc', 'cmd');
		$this->filterForm    	= $this->get('FilterForm');
		$this->activeFilters 	= $this->get('ActiveFilters');
		
		$helper = new MNBInventarioHelper();
	
		$this->prodotto =  $helper->getMNBAuthorization();	
		
		$this->addToolbar();
		
		parent::display($tpl);

		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_MNBINVENTARIO_PANNEL_CONTROL_TITLE'));
	}
		
		protected function addToolBar()
	{
		$title = JText::_('COM_MNBINVENTARIO_PANNEL_CONTROL_TITLE');
		
		JToolBarHelper::title( $title , 'modulo' );
		JToolBarHelper::deleteList('', 'modulobricks.delete');
		JToolbarHelper::trash('modulobricks.trash');
		JToolBarHelper::editList('modulobrick.edit');
		if ($this->prodotto->stato == "1"){
		JToolBarHelper::addNew('modulobrick.add');
		}
		
		if ($this->pagination->total)
			{
				$title .= "<span style='font-size: 0.5em; vertical-align: middle;'>(" . $this->pagination->total . ")</span>";
			}
	}
	
    protected function getSortFields()
	{
		return array(
			'id' =>  JText::_( 'COM_MNBINVENTARIO_ID_FIELD_LAB'),
			'titolo_inventario' =>  JText::_('COM_MNBINVENTARIO_TITOLO_INVENTARIO_FIELD_LAB'),
			'titolo' =>  JText::_('COM_MNBINVENTARIO_TITOLO_FIELD_LAB'),
			'note' => JText::_('COM_MNBINVENTARIO_NOTE_FIELD_LAB'),
			
			);
	}
 
}

