<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class com_mnbinventarioInstallerScript
{
    /**
     * This method is called after a component is installed.
     *
     * @param  \stdClass $parent - Parent object calling this method.
     *
     * @return void
     */
    public function install($parent) 
    {
		
		$id_cliente = md5(uniqid(time(), true));
		$domain = parse_url(JURI::root(),PHP_URL_HOST);	
		 
    	$curlSES=curl_init(); 
    	
    	curl_setopt($curlSES, CURLOPT_CONNECTTIMEOUT, 10); 
		curl_setopt($curlSES, CURLOPT_TIMEOUT, 60); //timeout 
		curl_setopt($curlSES,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($curlSES,CURLOPT_HEADER, false); 
		
		//Ottieni parametri client
		$url = 'https://www.mynetbrick.com/api/utility/echo_data_request.php';
		curl_setopt($curlSES,CURLOPT_URL,$url);
		
		$echo_data_result = json_decode(curl_exec($curlSES), false);
							
		//verifica connettivit� remota	
		$url = 'https://www.mynetbrick.com/api/utility/echo_url_direct_access.php?scr='.JURI::root().'media/com_mnbinventario/images/MNB-Inventario.png';
		curl_setopt($curlSES,CURLOPT_URL,$url);

		$echo_direct_result = json_decode(curl_exec($curlSES), false);
			
		curl_close($curlSES);
		
   	 	$ip = $echo_data_result->ip;
   	 	$accesso_diretto = $echo_direct_result->response;
		
		
		$array = array('id_cliente' => $id_cliente, 'ip' => $ip, 'stato' => 0, 'accesso_diretto' => $accesso_diretto, 'max_righe' => 15, 'max_colonne' => 3 );

		$riga = json_encode($array);
	
		// file parametri
		$file = JPATH_ROOT . "/administrator/components/com_mnbinventario/helpers/file.txt";   
		$fw = fopen($file, 'w');
		// inseriamo la riga
		fwrite($fw, $riga);
		// chiudiamo il file
		fclose($fw);
            
         //Array dei parametri di registrazione del prodotto  
		$data = array(
				'id' => "",
    			'id_cliente' => $id_cliente,
    			'host' => $ip,
    			'domain' => $domain,
    			'product' => "MNB Inventario",
    			'data_installazione' => date('Y-m-d H:m:s'),
    			'accesso_diretto' => $accesso_diretto,
    			'scadenza' => date('Y-m-d H:mm:ss'),
    			'data_registrazione' => date('Y-m-d H:m:s'),
				'PayerID' => ""
			);

		$payload = json_encode($data);
 
 
		// Registrazione prodotto
		$ch = curl_init('https://www.mynetbrick.com/api/authorization/create.php');
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLINFO_HEADER_OUT, true);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 60); 
		curl_setopt($ch, CURLOPT_TIMEOUT, 60); //timeout 	
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
 
		// Set HTTP Header for POST request 
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
													'Content-Type: application/json',
    												'Content-Length: ' . strlen($payload))
												);
 
		// Submit the POST request
		$result = curl_exec($ch);
 
		// Close cURL session handle
		curl_close($ch);

		$response = json_decode($result );
	 	
	 	
		JFactory::getApplication()->enqueueMessage($response->message , 'notice');
 
    }

    

    public function uninstall($parent) 
    {
    	$file= JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/file.txt'; // determino il file di testo che contiene la lista dei titoli
		$fr=fopen($file,"r"); // lo fr in sola lettura
		$parametri_registrazione = json_decode(fread($fr,filesize($file)));
		fclose($fr); // lo chiudo

     	if ($parametri_registrazione->ip != null){
     	
     	$curlSES=curl_init(); 
		
		$url = "http://www.mynetbrick.com/api/authorization/uninstall.php?id_cliente='".$parametri_registrazione->id_cliente ."'" ;
		
		curl_setopt($curlSES,CURLOPT_URL, $url);
		curl_setopt($curlSES, CURLOPT_CONNECTTIMEOUT, 60); 
		curl_setopt($curlSES, CURLOPT_TIMEOUT, 60); //timeout 
		curl_setopt($curlSES,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($curlSES,CURLOPT_HEADER, false); 

		$echo_result = json_decode(curl_exec($curlSES), false);
		curl_close($curlSES);
		
    	JFactory::getApplication()->enqueueMessage($echo_result->message , 'notice');
       	JFactory::getApplication()->enqueueMessage( JText::_('COM_MNBINVENTARIO_UNINSTALL_TEXT'));
    	}else{
    	
    	JFactory::getApplication()->enqueueMessage( JText::_('COM_MNBINVENTARIO_UNINSTALL_TEXT'));
    	
    	}
    	
       // echo '<p>' . JText::_('COM_MNBINVENTARIO_UNINSTALL_TEXT') . '</p>';
    
       
    }

    /**
     * This method is called after a component is updated.
     *
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
	public function update($parent) 
	{
		$version = (string) $parent->manifest->version;
		echo '<p>' . JText::sprintf('COM_MNBINVENTARIO_UPDATE_TEXT', $version) . '</p>';
	}
	

    /**
     * Runs just before any installation action is performed on the component.
     * Verifications and pre-requisites should run in this function.
     *
     * @param  string    $type   - Type of PreFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    public function preflight($type, $parent) 
    {
       // echo '<p>' . JText::_('COM_MNBINVENTARIO_PREFLIGHT_' . $type . '_TEXT') . '</p>';
    }

    /**
     * Runs right after any installation action is performed on the component.
     *
     * @param  string    $type   - Type of PostFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    function postflight($type, $parent) 
    {
       // echo '<p>' . JText::_('COM_MNBINVENTARIO_POSTFLIGHT_' . $type . '_TEXT') . '</p>';
    }
}
