<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// Include dependancy of the main model form
jimport('joomla.application.component.modeladmin');
// Include dependancy of the dispatcher
jimport('joomla.event.dispatcher');
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');


JLoader::register('MNBInventarioHelper', JPATH_ROOT . '/components/com_mnbinventario/helpers/helper.php');

class MNBInventarioModelModulo extends JModelForm
{
		
   public function getForm($data = array(), $loadData = true) 
  {
		// Carica il form base
   		$form = $this->loadForm('com_mnbinventario.modulo', 'modulo', array('control' => 'jform', 'load_data' => $loadData));

        if (empty($form)) {
            return false;
        }
        
       //****carica il post se esiste
       
        $jinput = JFactory::getApplication()->input; 
    	
		$jform = $jinput->get('jform',NULL, NULL);
		
        //****carica i campi configurati nel DB e popola il form *****
        
        $fields = $this->getCampi(); 
        
        $item = $this->getItem();       
        
       	foreach($fields as $field){
        	
			if(isset($jform[$field->field_name]))
			{
				$field->field_default_val  = $jform[$field->field_name];
				
			}else{
				$field->field_default_val  = $item[$field->field_name];
			}

	
       switch ($field->field_type) {
   		
   		case "text":

        	$element[$field->name] = new SimpleXMLElement(
        		'<field
        		id="'.$field->id.'"
        		name="'.$field->field_name.'"
	      	 	type="'.$field->field_type.'"
        	 	label="'.$field->field_label.'"
    		 	description="'. $field->field_description . '"
        	 	class="'. $field->field_class . '"
       	 	  	size="'.$field->field_name.'"
    		  	required="'. $field->field_required . '"
    		 	default="' . $field->field_default_val . '"
				visible="' . $field->field_visible . '"
        		/>'
        		);
        
  		  	$form->setField($element[$field->name]);
			break;
    	
    	case "list":
    	  	
    	  	$option_val = [];
    		
    		$option_val = explode(";", $field->field_list_option);
    		
    		$option ='<option value="">Seleziona...</option>';
    		
    		foreach ($option_val as $val)
    		{
    			$option = $option . '<option value="'.$val.'">'.$val.'</option>';
    		}
    			
        	$element[$field->name] = new SimpleXMLElement(
        	   	'<field
        		id="'.$field->id.'"
    			name="'.$field->field_name.'"
        	  	type="'.$field->field_type.'"
        	 	label="'.$field->field_label.'"
    		 	description="'. $field->field_description . '"
        	  	class="'. $field->field_class . '"
       	 	  	size="'.$field->field_name.'"
    		  	required="'. $field->field_required . '"
    		 	default="' . $field->field_default_val . '"
        		>'
        			.$option.
        		'</field>'
        	);
        
      		  	$form->setField($element[$field->name]);
        	
        	break;
        case "file":
    	  		
    		$option_val = explode(";", $field->field_list_option);
    		
    		foreach ($option_val as $val)
    		{
    			$option = $option . '<option value="'.$val.'">'.$val.'</option>';
    		}
    			
        	$element[$field->name] = new SimpleXMLElement(
        	   	'<field
        		id="'.$field->id.'"
    			name="'.$field->field_name.'"
        	  	type="'.$field->field_type.'"
        	 	label="'.$field->field_label.'"
    		 	description="'. $field->field_description . '"
        	  	class="'. $field->field_class . '"
       	 	  	size="'.$field->field_name.'"
    		  	required="'. $field->field_required . '"
    		 	default="' . $field->field_default_val . '"
        		>'
        			.$option.
        		'</field>'
        	);
        
      		  	$form->setField($element[$field->name]);
      		 
        	
        	break;
		}
        
	
        
        }
         
        //************************************************************
        
        //Restituisci il form completo
        
        return $form;
    
  }

  		
  	
	protected function getCampi()
  	{
  		$jinput = JFactory::getApplication()->input; 
    	
		$jform = $jinput->get('jform',NULL, NULL);
	
		$session = JFactory::getSession();
		$id_inventario = $session->get('inventario.id_inventario');
		$id_modulo = $session->get('inventario.id_modulo');
	
		$db = JFactory::getDBO();

		$query = $db->getQuery(true);
		
		
		if ( $id_modulo !=  "" )
		{
		
			$query
				->select('*')
				->from('#__mnb_inventario_fields')
				->where('id_modulo ='. $db->Quote($id_modulo))
				->order('field_order ASC');

		
			$db->setQuery($query);

			$items = $db->loadObjectList();

		}
	
		return $items;
	
	}
	

function getItem()

	{
		
		$jinput = JFactory::getApplication()->input; 
 	
		$jform = $jinput->get('jform',NULL, NULL); 
	
		$id_inventario = $jinput->get('id_inventario');
		
		$id_modulo = $jinput->get('id_modulo');
		
		$id = $jinput->get('id');
		
		$db = JFactory::getDBO();

		$query = $db->getQuery(true);

		if ( $id !=  "" ){
		
			$query
			->select('*')
			->from('#__mnb_inventario_'.$id_inventario)
			->where('id='. $db->Quote($id));

			$db->setQuery($query);

			$item = $db->loadAssoc();


		}

		return  $item;

	} 

	function getAccessLevel()

	{
		
		$jinput = JFactory::getApplication()->input; 
 	
		$jform = $jinput->get('jform',NULL, NULL); 
	
		$session = JFactory::getSession();
		$id_inventario = $session->get('inventario.id_inventario');
		$id_modulo = $session->get('inventario.id_modulo');
		
				
		$db = JFactory::getDBO();

		$query = $db->getQuery(true);
	
			$query
			->select('access')
			->from('#__mnb_inventario_modules')
			->where('id_inventario = '. $db->Quote($id_inventario) . 'AND id =' .$db->Quote($id_modulo));

			$db->setQuery($query);

			$level = $db->loadResult();

		return  $level;

	} 
  
 	public function Salva()
	{
        
		$old_item = $this->getItem();
		
		$app = JFactory::getApplication();
   		
		$jform = $app->input->get('jform',NULL, NULL); 

    	$file_path = $app->input->get('file_path');

    	
		// Controlla campi di upload dei file ed effettua l'upload
   		$upload_file = $app->input->files->get('jform', array (), 'array');
	
   		foreach ($upload_file as $name => $file)
   		{
		 	
		 	if($file['name'] != "" ){
		 		$jform[$name] = $this->upload($file);
		 	}else{
		 		if($old_item[$name] != ""){
		 		$jform[$name]= $old_item[$name];
		 		}else{
		 		$jform[$name] = 'MNB-Inventario.png';
		 		}
		 	}

		}
   		
		
		
		$db		= $this->getDbo();
		$query	= $db->getQuery(true);
        $query->clear();

		$session = JFactory::getSession();
		$id_inventario = $session->get('inventario.id_inventario');
		$id_modulo = $session->get('inventario.id_modulo');

		$id = $jform['id'];
		
		foreach ($jform as $key => $field)
		{
			if ($key != "id"){
			$query->set(' '.$key.' = '.$db->Quote($jform[$key]));
			}
		}
		 		
		if ($id != ""){
			$query->update('  #__mnb_inventario_' .$id_inventario);
			$query->where(' id = ' . $id);	
		}else{
			$query->insert(' #__mnb_inventario_'.$id_inventario);
			$query->set(' id = '.$db->Quote(0));
		}
		
		
			$query->set(' published = '.$db->Quote(1));
			
			$db->setQuery($query);
			
			if (!$db->execute()) {

				JError::raiseError(500, $db->getErrorMsg());
				die('query');
				return false;
        	}
		
		return true;
	}
	
	public function upload($file) 
	{
		
	$arr_estensione = explode('.',$file ['name']);
	$ext = $arr_estensione[count($arr_estensione)-1];
	
    $fileName = time().'_'.preg_replace('/[^A-Za-z0-9\-]/', '', $arr_estensione[0]).'.'.$ext;
    
    $tmpFileName = $file ['tmp_name'];

	$upload_sub_path = "";
	
	$upload_path = 'media/com_mnbinventario/upload_file/'. $upload_sub_path . $fileName;
	
	if(JFile::upload($tmpFileName, $upload_path)){
		return $upload_path;
	}else{
		return false;
	}
	
    // handle the file here
	}
		
	public function Elimina()
	{
        $jinput = JFactory::getApplication()->input; 
    	
		$jform = $jinput->get('jform',NULL, NULL);
		
		$session = JFactory::getSession();
		$id_inventario = $session->get('inventario.id_inventario');
		
		$db		= $this->getDbo();
		$query	= $db->getQuery(true);
        $query->clear();

		
		if (($jform ['id']) != 0)
		{
		$query->update(' #__mnb_inventario_'.$id_inventario);
		$query->where(' id = ' . (int) $jform ['id']);	
		} else {
		$query->insert(' #__mnb_inventario_'.$id_inventario);
				
		}
					
		$query->set(' published = '.$db->Quote(0));
		$db->setQuery($query);
			
		if (!$db->execute()) {

			JError::raiseError(500, $db->getErrorMsg());
        	return false;
        } else {
			
        	return true;
		}
	}

	
	function getSearch()
	{
		$jinput = JFactory::getApplication()->input; 
		$jform = $jinput->get('jform', NULL, NULL); 
		$isbn = isset($jform['isbn']) ? $jform['isbn'] : null; // Usa l'ISBN da $jform se necessario
		
		if (empty($isbn)) {
			return null; // Gestisci l'errore come preferisci
		}

		// Costruisci l'URL per la ricerca con l'ISBN
		$curl = 'https://www.googleapis.com/books/v1/volumes?q=isbn:' . $isbn;
		
	
		// Usa CURL per effettuare la richiesta HTTP
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $curl);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$json = curl_exec($ch);
		curl_close($ch);
	
		// Verifica se la risposta è valida
		if ($json === false) {
			return null; // Gestisci l'errore come preferisci
		}
	
		// Decodifica la risposta JSON
		$product = json_decode($json);
	
		// Verifica se la decodifica è andata a buon fine
		if ($product === null) {
			return null; // Gestisci l'errore come preferisci
		}
	
		// Se non ci sono risultati
		if ($product->totalItems == 0) {
			return null; // Gestisci come preferisci (es. nessun libro trovato)
		}
	
		// Restituisci l'oggetto prodotto
		return $product;
	}
	

		
	 protected function populateState()
    {
		$jinput = JFactory::getApplication()->input;
		$session = JFactory::getSession();
	
		$id_inventario = $jinput->get('id_inventario');
		$session->set('inventario.id_inventario' , $id_inventario != "" ? $id_inventario : $session->get('inventario.id_inventario'));

		$id_modulo = $jinput->get('id_modulo');
		$session->set('inventario.id_modulo' , $id_modulo != "" ? $id_modulo : $session->get('inventario.id_modulo'));
		
		// Load the parameters.
		$this->setState('params', JFactory::getApplication()->getParams());
    }
}
