<?php 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$input = JFactory::getApplication()->input;	

$option = $input->get('option');
$view = $input->get('view');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$listlimit_r_aut = (int)$this->state->get('list.limit_r_aut');

$session = JFactory::getSession();
$tipo_visualizzazione  = $session->get('inventario.tipo_visualizzazione');
$id_inventario = $session->get('inventario.id_inventario');

$helper = new MNBInventarioHelper();	
$opzioni_layout =  $helper->getOpzioniLayout();

$background = ($opzioni_layout->background_color_row == '' ? '' : ' background:'.$opzioni_layout->background_color_row .'; ');
$font_size = ($opzioni_layout->font_size == '' ? '' : ' font-size:'.$opzioni_layout->font_size .'; ');
$text_align = ($opzioni_layout->text_align == '' ? '' : ' text-align:'.$opzioni_layout->text_align .'; ');
$border = ($opzioni_layout->border == '' ? '' : 'border:'. $opzioni_layout->border.' '. $opzioni_layout->border_color.'; ');
$border_top_left_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-top-left-radius:'.$opzioni_layout->border_radius .'; ');
$border_top_right_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-top-right-radius:'.$opzioni_layout->border_radius .'; ');
$border_bottom_left_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-bottom-left-radius:'.$opzioni_layout->border_radius .'; ');
$border_bottom_right_radius = ($opzioni_layout->border_radius == '' ? '' : ' border-bottom-right-radius:'.$opzioni_layout->border_radius .'; ');
$box_shadow = ($opzioni_layout->box_shadow == "0" ? '' : 'box-shadow: 1px 2px 6px 1px rgba(0,0,0,0.68); ');

// Definisci gli stili
$style_th[0] = 	$background.
				'color:'. $opzioni_layout->text_color .'; '.
				$font_size.
				$text_align.
				'padding:5px; '.
				'min-width: 100px;'.
				'vertical-align: middle;'
			;
$style_th[1] = 	'background: #fff5; '.
				'color:'. $opzioni_layout->text_color .'; '.
				$font_size.
				$text_align.
				'padding:5px;'.
				'min-width: 100px;'.
				'vertical-align: middle;'
				;
				
$style_th[2] = 	'background:'. $opzioni_layout->background_color_int.'; '.
				'color:'. $opzioni_layout->text_color .'; '.
				$font_size.
				$text_align.
				'padding:5px; '.
				'margin-bottom: 5px; '.
				'font-weight: bold; '.
				'min-width: 100px; '.
				'vertical-align: middle;'
				;

$style_tr[0] = 	$border.
				'padding:5px; '.
				'text-align:center; '.
				'align=center; '				
			;
$style_tr[1] = 	'border:'. $opzioni_layout->border.' '. $opzioni_layout->border_color.'; '.
				'padding:5px; '.
				'text-align:center; '.
				'align=center; '
			;
$style_table = 	'color:'. $opzioni_layout->text_color .'; '.	
				'border:'. $opzioni_layout->border.' '. $opzioni_layout->border_color.'; '.
				'width:'. $opzioni_layout->width_px .'; '.
				'height:'. $opzioni_layout->height_px .'; '.
				'font-size:'. $opzioni_layout->font_size.'; '.
				'padding:5px; '.
				'text-align:center; '.
				'align=center; '
			;	

?>




<form method="post" action="<?=$_SERVER["REQUEST_URI"]?>" class="form-validate" onSubmit="return myValidate(this);" id="mnbinventario-elenco">

<input type="hidden" id ="validatedform" value="submit" name="validatedform" />
<input type="hidden" name="option" value="<?=$option?>" />

<input type="hidden" id ="task" name="task" value="" />
<input type="hidden" name="view" value="<?=$view?>" />

<input type="hidden" name="filter_order" value="<?=$listOrder?>" />
<input type="hidden" name="filter_order_Dir" value="<?=$listDirn?>" />

<input type="hidden" name="id_inventario" value="<?=$id_inventario?>" />
	<?php echo JHtml::_('form.token'); ?>

	<fieldset >
        <div id="filter_bar" style="line-height: 35px; display: inline-flex; margin-bottom: 10px;">
        	&nbsp;&nbsp; 
            <label for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
            &nbsp;&nbsp;
            <input type="text" name="filter_search" id="filter_search" 
               value="<?php echo $this->escape($this->state->get('filter.search')); ?>"  title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>" />
            &nbsp;&nbsp;
            <input type="hidden" name="filter_search_field" id="filter_search_field" 
               		value="<?php echo $this->escape($this->state->get('filter.search_field')); ?>"  title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>" />
            <a  class="m-1" href="https://www.mynetbrick.com/index.php?view=article&id=48:un-semplice-ma-efficace-inventario-per-joomla&catid=23&highlight=WyJpbnZlbnRhcmlvIiwiaW52ZW50YXJpYXJlIiwiaW52ZW50YXJpIl0=#dettaglio-opzioni-campo" target="_blank"> 
				<span id="filter_info" class="icon-info-circle" title="<?php echo JText::_('JSEARCH_FILTER_FIELD'); ?>"></span>
			</a>	
			<select title="<?php echo JText::_('JSEARCH_FILTER_FIELD'); ?>" name="filter_search_field_sel" id="filter_search_field_sel" onchange="document.getElementById('filter_search_field').value = this.value ";>
    				<option value="">Ricerca generica</option>
    				<?php 
					
    				foreach($this->campi as $campo)
					{
					$selected = ($this->escape($this->state->get('filter.search_field')) == $campo['field_label'] ? 'selected' : '');
						
						if ( $campo['field_visible'] == 1 AND $campo['field_filter'] == 1 )
							{
							echo '<option '.$selected.' value="'.$campo['field_label'].'">'.$campo['field_label'].'</option>';
							}
					}
    				?>
  			</select>

                
            &nbsp;&nbsp;
            <button type="submit" class="btn btn-primary"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
            &nbsp;&nbsp;
            <button type="button" class="btn btn-primary" onclick="document.getElementById('filter_search').value='';this.form.submit();">
              <?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>
            </button>
            &nbsp;&nbsp;
        </div>
    </fieldset>
	<div style="margin: 6px; width:98%; <?php echo $border. $box_shadow . $border_top_left_radius . $border_top_right_radius . $border_bottom_left_radius . $border_bottom_right_radius ;?> ">
		
	<table id="list_table" style="width:100%;"   >
	
<!----------- Stampa la riga d'intestazione ---------->

		<tr >
			
			<?php
				$col=1;	
				foreach($this->campi as $campo)
					{
						if ( $campo['field_visible'] == 1 )
							{
							echo '<th style="'.$style_th[2]. ($col== 1 ? $border_top_left_radius : '') .' ">';
							echo JText::_($campo['field_label']);
							echo'</th>';
							$col= $col+1;
							}
					}
					echo'<th style="'.$style_th[2]. $border_top_right_radius .'"></th>';
					
			?>
				
		</tr>
<!---------------------------------------------------->

<?php 
/*-------------- Stampa le righe dei dati ------------*/
	$n_item = 0;
	$msg=true;
				foreach($this->items as $item )
				{
						$alternate = ($i % 2 == 0) ? 1 : "0";
						
						$i= $i+1;
					
						$array = get_object_vars($item);
						
						echo '<tr style="'.$style_tr[$alternate].'">';					
							
							foreach($this->campi as $campo)
							{
								if ( $campo['field_type'] == "file" ){
															
									if ( $campo['field_visible'] == 1 )
									{
										echo '<th style="'.$style_th[$alternate].'">';
				
										$ext = explode('.' , $array[$campo["field_name"]])[1];
									
										if ( $tipo_visualizzazione == 1 ){
											echo '<div  width="40px">';
											echo '<img src="'.JURI::root().'/media/com_mnbinventario/images/ext/'.$ext.'.png" alt="Foto oggetto" width="54px" height="54px">';
											echo '</div>';
										}else{
		
							// DOC DOCX ODT XLS XLSX 
								
											if ($ext ==  'doc' or $ext == 'docx' or $ext == 'xls' or $ext == 'xlsx'  or $ext == 'odt' ){										//Mostra anteprima OFFICE
			
											
												$helper = new MNBInventarioHelper();	
												$OFC_Iframe_list =  $helper->getOFC_Iframe_list($array[strtolower($campo["field_name"])]);	
												echo $OFC_Iframe_list;

  											}else if ($ext == "pdf" ){	
  												
  							//PDF
  												
  												echo '<p style="padding: 5px; text-align: center;"><iframe width="150" height="150" src="'.JURI::root().$array[$campo["field_name"]].'"></iframe><p>';
  	
  											}else if ($ext == "png" or $ext == "jpeg" or $ext == "jpg" or $ext == "ico" ){
												
							// JPG JPEG PNG ICO BMP	
							
											echo '<p style="text-align: center;"><a href="'.JURI::root().$array[strtolower($campo["field_name"])].'"><img style="max-width: 150px; max-height: 150px;"  src="'.JURI::root().$array[strtolower($campo["field_name"])].'" alt="Foto oggetto"></a><p>';
											
											}else{
							//VARIE
												echo '<a href="'.JURI::root().'/'. $array[$campo["field_name"]].'"><img src="'.JURI::root().'/media/com_mnbinventario/images/ext/'.$ext.'.png" alt="Foto oggetto"  width="54px" height="54px"></a>';
										
											}
											
										}
										echo'</th>';
									}
									
									
								}else{
									
									if ( $campo['field_visible'] == 1 )
									{
										echo '<th style="'.$style_th[$alternate].'">';
										echo $array[strtolower($campo["field_name"])];						
										echo'</th>';
									}
									
								}
							}
							
							echo '<th style="'.$style_th[$alternate].'">';
							
									$url= JRoute::_('index.php?option=com_mnbinventario&view=modulo&id_inventario='. $array["id_inventario"].'&id_modulo='.$array["id_modulo"].'&id='.$array["id"].'&type_view=1');
										
							
									echo '<a title="Visualizza dettaglio" href="'.$url.'"><img src="'.JURI::root().'media/com_mnbinventario/images/icon/dettaglio.png" alt="Foto oggetto" width="54px" height="54px"></a>';
											
							
										
										
											
										echo'</th>';	
						echo '</tr>';
						
						
					if ($n_item > $listlimit_r_aut)
					{
						if($msg)
						{
							echo '	<tr class ="riga_paginazione"  >
										<th  colspan="'.$col.'" style="'.$style_th[$alternate] .'" >
											<a href="/index.php/component/banners/click/3" title="Aiuta il nostro team di sviluppo" style="color:#333;">effettua una donazione per rimuovere questo piccolo banner</br>
							<img src="https://www.mynetbrick.com/images/banners/mynetbrick_donazione.png"  width: 100px; alt="Aiuta il nostro team di sviluppo">
						</a>
										</th>
									</tr>';
							//$msg = false;
						}
					}
					
				
					
												
					$n_item=$n_item+1;
				}
				
				echo '<tr class="riga_paginazione" id="riga_paginazione" >
								<th colspan="'.$col.'" style="'.$border_bottom_left_radius . $border_bottom_right_radius .'">
									<div class="pagination">
										<p>
											'.$this->pagination->getPagesLinks().'
										</p>
										<p>
											'.$this->pagination->getPagesCounter().'
										</p>
									</div>
								</th>
							</tr>';
?>
				
		
	

	</table>
	</div>
</form>